Mail::Message::Convert::HtmlFormatText(3pm)

NAME
Mail::Message::Convert::HtmlFormatText - Convert HTML into Text

INHERITANCE
 Mail::Message::Convert::HtmlFormatText
   is a Mail::Message::Convert
   is a Mail::Reporter

SYNOPSIS
  use Mail::Message::Convert::HtmlFormatText;
  my $af = Mail::Message::Convert::HtmlFormatText->new;

  my $plain_body = $af->format($body);

DESCRIPTION
Convert HTML/XHTML message body objects into plain text bodies using HTML::FormatText. This package requires HTML::TreeBuilder and HTML::FormatText which are not installed by default together with Mail::Box. See also Mail::Message::rebuild() with rule "text_alternative_for_html".

This module is a small wrapper around HTML::FormatText.

Extends "DESCRIPTION" in Mail::Message::Convert.

METHODS
Extends "METHODS" in Mail::Message::Convert.

  Constructors
Extends "Constructors" in Mail::Message::Convert.

$class->new(%options)
    Inherited, see "Constructors" in Mail::Reporter

     -Option     --Defined in            --Default
      fields       Mail::Message::Convert  <see description>
      leftmargin                           3
      rightmargin                          72

    fields => $name|$regex|\@names|\@regexes
    leftmargin => INTEGER
        The column of the left margin, passed to the formatter.

    rightmargin => INTEGER
        The column of the right margin, passed to the formatter.

  Attributes
Extends "Attributes" in Mail::Message::Convert.

  Converting
Extends "Converting" in Mail::Message::Convert.

$obj->format($body)
    Pass an html/xhtml encoded body, and a plain text body is returned. Characters are translated into Latin1.

$obj->selectedFields($head)
    Inherited, see "Converting" in Mail::Message::Convert

  Error handling
Extends "Error handling" in Mail::Message::Convert.

$obj->AUTOLOAD()
    Inherited, see "Error handling" in Mail::Reporter

$obj->notImplemented()
    Inherited, see "Error handling" in Mail::Reporter

  Cleanup
Extends "Cleanup" in Mail::Message::Convert.

$obj->DESTROY()
    Inherited, see "Cleanup" in Mail::Reporter

DIAGNOSTICS

Error: class $package does not implement method $method.
    Fatal error: the specific $package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package. Cast by notImplemented()

SEE ALSO
This module is part of Mail-Message version 4.05, built on April 10, 2026. Website: http://perl.overmeer.net/mailbox/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2001-2026 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.